Bug 17812 - Return focus to barcode field after toggling on-site checkouts
Summary: Return focus to barcode field after toggling on-site checkouts
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-23 14:20 UTC by Alexandre
Modified: 2017-09-11 12:46 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17812 - Return focus to barcode field after toggling on-site checkouts (1.30 KB, patch)
2017-01-03 15:15 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17812 - Return focus to barcode field after toggling on-site checkouts (1.36 KB, patch)
2017-01-07 09:54 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17812 - Return focus to barcode field after toggling on-site checkouts (3.84 KB, patch)
2017-05-03 17:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17812 - Return focus to barcode field after toggling on-site checkouts (4.00 KB, patch)
2017-05-04 16:36 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 17812 - Return focus to barcode field after toggling on-site checkouts (4.06 KB, patch)
2017-05-04 18:06 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 17812 - Return focus to barcode field after toggling on-site checkouts (4.12 KB, patch)
2017-05-05 20:42 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre 2016-12-23 14:20:55 UTC
Some people have not save loans because they forgot to clic again on "enter item barcode" space after taking the option "on-site check out"

1)Go to Circulation module
2)Go to checkouts
3)Select a valid user for a loan
4)Observe the cursor is in "enter item barcode" space
4)Select the option "on-site check out"
5)Observe that the cursor isn't returning to "enter item barcode space" by itself

Eliminate this additionnal clic can save lot of time to people doing many loans at a same time.

Thanks for the support,

Alexandre from CCSR
Comment 1 Owen Leonard 2017-01-03 15:15:24 UTC
Created attachment 58566 [details] [review]
Bug 17812 - Return focus to barcode field after toggling on-site checkouts

This patch changes the behavior of the checkout form so that after
checking the "on-site checkouts" box the cursor focus is automatically
moved to the barcode field.

To test, apply the patch and enable the OnSiteCheckouts system
preference.

- Open any patron account in circulation.
- Expand the "Checkout settings" panel.
- Click the "On-site checkout" label or checkbox.
- Confirm that the focus has moved to the barcode field.
Comment 2 Josef Moravec 2017-01-07 09:54:33 UTC
Created attachment 58651 [details] [review]
[SIGNED-OFF] Bug 17812 - Return focus to barcode field after toggling on-site checkouts

This patch changes the behavior of the checkout form so that after
checking the "on-site checkouts" box the cursor focus is automatically
moved to the barcode field.

To test, apply the patch and enable the OnSiteCheckouts system
preference.

- Open any patron account in circulation.
- Expand the "Checkout settings" panel.
- Click the "On-site checkout" label or checkbox.
- Confirm that the focus has moved to the barcode field.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Jonathan Druart 2017-01-11 08:15:50 UTC
To be consistent should not we have the same behaviour for "Automatic renewal"?

I personally don't really like that kind of custom javascript, especially when that can be achieve by filling the intranet js pref. But I am not behind a circulation desk :)
Comment 4 Owen Leonard 2017-05-03 17:13:41 UTC
Created attachment 63038 [details] [review]
Bug 17812 - Return focus to barcode field after toggling on-site checkouts

This patch changes the behavior of the checkout form so that after
checking boxes in the "checkout settings" panel the cursor focus is
automatically moved to the barcode field.

To test, apply the patch and enable OnSiteCheckouts and
decreaseLoanHighHolds system preferences.

- Open any patron account in circulation.
- Expand the "Checkout settings" panel.
- Click the label or checkbox for "Automatic renewal", "Don't
  decrease checkout length based on holds" and "On-site checkout"
- Confirm that the focus has moved to the barcode field.
Comment 5 Marc Véron 2017-05-04 16:36:02 UTC
Created attachment 63136 [details] [review]
Bug 17812 - Return focus to barcode field after toggling on-site checkouts

This patch changes the behavior of the checkout form so that after
checking boxes in the "checkout settings" panel the cursor focus is
automatically moved to the barcode field.

To test, apply the patch and enable OnSiteCheckouts and
decreaseLoanHighHolds system preferences.

- Open any patron account in circulation.
- Expand the "Checkout settings" panel.
- Click the label or checkbox for "Automatic renewal", "Don't
  decrease checkout length based on holds" and "On-site checkout"
- Confirm that the focus has moved to the barcode field.

Works as advertised.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 6 sandboxes@biblibre.com 2017-05-04 18:06:12 UTC
Patch tested with a sandbox, by Marjorie Barry-Vila <marjorie.barry-vila@ccsr.qc.ca>
Comment 7 sandboxes@biblibre.com 2017-05-04 18:06:35 UTC
Created attachment 63145 [details] [review]
Bug 17812 - Return focus to barcode field after toggling on-site checkouts

This patch changes the behavior of the checkout form so that after
checking boxes in the "checkout settings" panel the cursor focus is
automatically moved to the barcode field.

To test, apply the patch and enable OnSiteCheckouts and
decreaseLoanHighHolds system preferences.

- Open any patron account in circulation.
- Expand the "Checkout settings" panel.
- Click the label or checkbox for "Automatic renewal", "Don't
  decrease checkout length based on holds" and "On-site checkout"
- Confirm that the focus has moved to the barcode field.

Works as advertised.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Marjorie Barry-Vila <marjorie.barry-vila@ccsr.qc.ca>
Comment 8 Nick Clemens 2017-05-05 20:42:24 UTC
Created attachment 63213 [details] [review]
Bug 17812 - Return focus to barcode field after toggling on-site checkouts

This patch changes the behavior of the checkout form so that after
checking boxes in the "checkout settings" panel the cursor focus is
automatically moved to the barcode field.

To test, apply the patch and enable OnSiteCheckouts and
decreaseLoanHighHolds system preferences.

- Open any patron account in circulation.
- Expand the "Checkout settings" panel.
- Click the label or checkbox for "Automatic renewal", "Don't
  decrease checkout length based on holds" and "On-site checkout"
- Confirm that the focus has moved to the barcode field.

Works as advertised.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Marjorie Barry-Vila <marjorie.barry-vila@ccsr.qc.ca>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 9 Kyle M Hall 2017-05-08 13:17:59 UTC
Pushed to master for 17.05, thanks Owen!
Comment 10 Katrin Fischer 2017-05-14 09:23:09 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.

Marked as enhancement, but I think it might be annoying enough to qualify as a but for some.
Comment 11 Mason James 2017-05-24 02:27:58 UTC
Pushed to 16.05.x, for 16.05.13 release